Bug 126560 - cannot unmount share until I kill kicker
cannot unmount share until I kill kicker
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 05:13 EDT by Fergal Daly
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fergal Daly 2004-06-23 05:13:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I share between 2 desktops, one windows, one linux. I always shutdown
the windows 1 at night. Since I've changed to FC2, this has been
causing problems. I've finally discovered that it has something to do
with KDE's kicker (maybe this should be a kicker bug rather than samba...)


Version-Release number of selected component (if applicable):
3.0.3-5

How reproducible:
Always

Steps to Reproduce:
1. Mount a share as a logged in user(I'm sharing from Win 2k Pro,
don't know if this is important)

smbmount '//dalfe04/c' ~/c -o
username=fergal,workgroup=accpac,uid=500,gid=500,rw

2. shutdown the windows machine

3. leave the office

4. start up windowd machine next morning
    

Actual Results:  ~> ls ~/c freezes

~> umount ~/c
umount: /home/fergal/c: device is busy
umount: /home/fergal/c: device is busy

umount -f ~/c doesn't work either

but if I kill KDE's kicker I can umount and then remount, no problem

Expected Results:  WIth FC1, the share was available as soon as the
windows machine was restarted, no need to umount and mount again.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:13:46 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 13:20:30 EDT
Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Many
changes have occurred since these older releases.  Please install a supported
version of Fedora Core and retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.